/// <reference types="react-scripts" />
import { ApplicationManager } from "@robotical/webapp-types/dist-types/types-package/application-manager";


// extend globalThis with a new property
declare global {
  interface Window {
    applicationManager: ApplicationManager;
  }
}

declare module '*.m4a' {
  const src: string;
  export default src;
}

declare module '*.json.txt' {
  const url: string;
  export default url;
}

declare module '*.mp3' {
  const src: string;
  export default src;
}